import { FuseNavigation } from 'src/@fuse/types';

export const navigation: FuseNavigation[] = [
  {
    id: 'dashboard',
    title: '대시보드',
    translate: 'NAV.DASHBOARD',
    type: 'item',
    icon: 'dashboard',
    url: '/dashboard'
  },
  {
    id: 'users',
    title: '회원 관리',
    translate: 'NAV.USERS',
    type: 'collapsable',
    children: [
      {
        id: 'user_list',
        title: '회원 리스트',
        translate: 'NAV.USER_LIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/list',
        exactMatch: true
      },
      {
        id: 'user_connect_list',
        title: '현재접속자',
        translate: 'NAV.USER_CONNECT_LIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/connect',
        exactMatch: true
      },
      {
        id: 'user_regist',
        title: '회원가입',
        translate: 'NAV.USER_REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/regist'
      },
      {
        id: 'user_fees_management',
        title: '커미션 설정',
        translate: 'NAV.USER_FEES_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/fees'
      },
      {
        id: 'user_attendance_management',
        title: '출석관리',
        translate: 'NAV.USER_ATTENDANCE_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/attendance'
      }
    ]
  },
  {
    id: 'gameManagement',
    title: '게임관리',
    translate: 'NAV.GAME_MANAGEMENT',
    type: 'collapsable',
    children: [
      {
        id: 'sportResultManagement',
        title: '결과입력 및 수정',
        translate: 'NAV.SPORT_RESULT_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/sport-result',
      },
      {
        id: 'sportMixManagement',
        title: '스포츠 조합설정',
        translate: 'NAV.SPORT_MIX_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/sport-mix',
      },
      {
        id: 'miniGame',
        title: '미니게임',
        translate: 'NAV.MINI_GAME.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/mini-game',
      },
      {
        id: 'miniGameManagement',
        title: '미니게임 관리',
        translate: 'NAV.MINI_GAME_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/mini-game-settings',
      },
      {
        id: 'excelRegist',
        title: '엑셀등록',
        translate: 'NAV.EXCEL_REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/excel-regist',
      },
      {
        id: 'betHistory',
        title: '배팅내역',
        translate: 'NAV.BET_HISTORY.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/bet-history',
      },
      {
        id: 'settlement',
        title: '정산하기',
        translate: 'NAV.SETTLEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/settlement',
      },
      {
        id: 'itemManagement',
        title: '종목관리',
        translate: 'NAV.ITEM_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/item-management',
      },
      {
        id: 'leagueManagement',
        title: '리그관리',
        translate: 'NAV.LEAGUE_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/league-management',
      },
      {
        id: 'exceptAutoRegist',
        title: '자동등록 제외',
        translate: 'NAV.EXCEPT_AUTO_REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/except-auto-regist',
      }
    ]
  },
  {
    id: 'depositWithdrawalManagemnet',
    title: '입출금관리',
    translate: 'NAV.DEPOSIT_WITHDRAWAL_MANAGEMENT',
    type: 'collapsable',
    children: [
      {
        id: 'deposit',
        title: '충전관리',
        translate: 'NAV.DEPOST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/deposit/management/deposit-management',
      },
      {
        id: 'withdrawal',
        title: '환전관리',
        translate: 'NAV.WITHDRAWAL.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/deposit/management/withdrawal-management',
      },
      {
        id: 'moneyLog',
        title: '머니 LOG',
        translate: 'NAV.MONEY_LOG.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/deposit/management/money-log',
      },
      {
        id: 'pointLog',
        title: '포인트 LOG',
        translate: 'NAV.POINT_LOG.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/deposit/management/point-log',
      },
      {
        id: 'dailySettlement',
        title: '일일정산',
        translate: 'NAV.DAILY_SETTLEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/deposit/management/dauly-settlement',
      }
    ]
  },
  {
    id: 'infoManagement',
    title: '정보관리',
    translate: 'NAV.INFO_MANAGEMENT',
    type: 'collapsable',
    children: [
      {
        id: 'serviceCenter',
        title: '고객센터 관리',
        translate: 'NAV.INFO.SERVICE_CENTER_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      },
      {
        id: 'sendMessage',
        title: '보낸메세지 관리',
        translate: 'NAV.INFO.SEND_MESSAGE_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      },
      {
        id: 'freeBoard',
        title: '자유게시판 관리',
        translate: 'NAV.INFO.FREE_BOARD_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      }
      ,
      {
        id: 'betRule',
        title: '배팅규정',
        translate: 'NAV.INFO.BET_RULE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      }
      ,
      {
        id: 'popupSetting',
        title: '팝업창',
        translate: 'NAV.INFO.POPUP_SETTING.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      }
      ,
      {
        id: 'mainEventRegist',
        title: '메인 이벤트 등록',
        translate: 'NAV.INFO.MAIN_EVENT_REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      }
      ,
      {
        id: 'noticeBoard',
        title: '공지사항 관리',
        translate: 'NAV.INFO.NOTICE_BOARD_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      },
      {
        id: 'boardRegist',
        title: '게시판 작성',
        translate: 'NAV.INFO.BOARD_REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      }
    ]
  },
  {
    id: 'siteManagement',
    title: '사이트 관리',
    translate: 'NAV.SITE_MANAGEMENT',
    type: 'collapsable',
    children: [
      {
        id: 'defaultSet',
        title: '기본설정 관리',
        translate: 'NAV.SITE.DEFAULT_SET.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      },
      {
        id: 'accountSeparate',
        title: '계좌분리',
        translate: 'NAV.SITE.ACCOUNT_SEPARATE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      },
      {
        id: 'setBetAmount',
        title: '배팅금액 설정',
        translate: 'NAV.SITE.SET_BET_AMOUNT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      },
      {
        id: 'blockIp',
        title: '차단 아이피 관리',
        translate: 'NAV.SITE.BLOCK_IP.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      },
      {
        id: 'adminIp',
        title: '어드민 아이피 관리',
        translate: 'NAV.SITE.ADMIN_IP.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      },
      {
        id: 'setLevel',
        title: '레벨 설정관리',
        translate: 'NAV.SITE.SET_LEVEL.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      }
    ]
  },
  {
    id: 'specialManagement',
    title: '특수 관리',
    translate: 'NAV.SPECIAL_MANAGEMENT',
    type: 'collapsable',
    children: [
      {
        id: 'rouletteCoupon',
        title: '룰렛쿠폰관리',
        translate: 'NAV.SPECIAL.ROULETTE_COUPON.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      },
      {
        id: 'fixBonus',
        title: '고정 보너스',
        translate: 'NAV.SPECIAL.FIX_BONUS.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      },
      {
        id: 'miniGameMartin',
        title: '미니게임 마틴관리',
        translate: 'NAV.SPECIAL.MINI_GAME_MARTIN.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      },
      {
        id: 'setAlert',
        title: '알람설정',
        translate: 'NAV.SPECIAL.SET_ALERT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      },
      {
        id: 'checkNotice',
        title: '점검공지 관리',
        translate: 'NAV.SPECIAL.CHECK_NOTICE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
      }
    ]
  },
  {
    id: 'supportManagement',
    title: '받치기 관리',
    translate: 'NAV.SUPPORT_MANAGEMENT',
    type: 'collapsable',
    children: [
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      },
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      }
    ]
  }
];
